[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.GetHashCode

Return a hash code for the object

## Declaration

Source position: objpash.inc line 255

`public function TObject.GetHashCode: PtrInt; virtual;`

## Description

GetHashCode should return a hash code for the object. By default, the numerical (integer) address of Self is returned.

Descendent classes can use this to generate better suitable values to be used in a hash table.

## See also

TObject.ToString |  | Return a string representation for the object
TObject.Equals |  | Check if two objects are equal.